subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Philip Martin <philip.mar...@wandisco.com>
Subject Re: Blocker: svn 1.8 assertion failed
Date Fri, 21 Jun 2013 08:58:35 GMT
Arrigo.Zanette@exorint.it writes:

> Hi Philip,
> are you saying that chunked trasfer encoding support is required for svn 
> 1.8 to work? Is there any way to workaround the requirement client-side?

Yes, it's a requirement for 1.8.0 if the server claims HTTP/1.1

> HTTP/1.1 411 Length Required
> Server: nginx/1.2.4
> Date: Thu, 20 Jun 2013 17:57:15 GMT
> Content-Type: text/html
> Content-Length: 180
> Connection: close

Newer versions of nginx do support chunked encoding and older versions
can support it with an optional module.  We are currently investigating
whether the 1.8 client can be modified so that chunked encoding support
is optional with HTTP/1.1.

-- 
Philip Martin | Subversion Committer
WANdisco | Non-Stop Data
www.wandisco.com

Mime
View raw message